
Robotics Service Bus - Tasks #2743
Release version 0.18
10/16/2017 12:22 PM - J. Moringen

Status: In Progress Start date: 12/18/2017
Priority: Normal Due date: 12/22/2017
Assignee: J. Moringen % Done: 90%
Category: Release Management Estimated time: 0.00 hour
Target version: rsb-0.18
Description

check mark: ✓

    1. Copy this issue for the next release 
  ❌ not this time (and thanks for all the fish)

    2. Promote project:rst types ✓ (not necessary)
    3. Create branches and bump versions (read release.rst in the root directory of the superproject where applicable)
        -  project:rsc ✓
        -  project:rsb ✓
        -  project:rsbag ✓
        -  project:rsb-gstreamer ✓
        -  project:rst ✓
        -  project:rsb-xml ✓
        -  project:rsb-buffer ✓
    4. Update sphinx manuals in version branches (search for edit-on-version-bump)
        -  rsb-manual ✓
        -  rsbag-manual ✓
        -  rst-manual ✓
    5. Create build jobs (using Jenkins API scripting) ✓
    6. Create pypi deploy jobs on CI server (copy 0.N - 1 jobs)
        -  rsb-python 
        -  rst python
        -  rsbag-python 
    7. Deploy Java projects to CITEC maven repository
        -  rsb-java ✓
        -  rst ✓
        -  rsb-xml-java
    8. Update CiTK recipes ✓
    9. Announce release
        -  In project:rsc redmine "here":https://code.cor-lab.org/news/TODO

        -  In project:rsb redmine "here":https://code.cor-lab.org/news/TODO

        -  In project:rst redmine "here":https://code.cor-lab.org/news/TODO

        -  On the mailing list
    10. Announce deprecation of 0.N - 2 release
        -  In project:rsb redmine "here":https://code.cor-lab.org/news/TODO

        -  On the mailing list

Related issues:
Copied from Robotics Service Bus - Tasks # 2719: Release version 0.17 Resolved 06/30/2017
Associated revisions
Revision a1eecc1a - 10/01/2018 04:44 PM - J. Wienke

Version bump to 0.19.0, refs #2743

Revision 40b7fc47 - 10/02/2018 07:45 PM - J. Moringen

Version bump to 0.19.0, refs #2743

Revision bcc777e7 - 10/02/2018 07:45 PM - J. Moringen

Version bump to 0.19.0, refs #2743

Revision 9c38a868 - 10/02/2018 07:45 PM - J. Moringen

Version bump to 0.19.0, refs #2743

Revision 91621ce1 - 10/02/2018 07:45 PM - J. Moringen

Version bump to 0.19.0, refs #2743

Revision 8169219a - 10/02/2018 07:45 PM - J. Moringen

Version bump to 0.19.0, refs #2743

Revision 1f8c5eb7 - 10/02/2018 07:45 PM - J. Moringen

Version bump to 0.19.0, refs #2743

Revision 7ece0aac - 10/02/2018 07:45 PM - J. Moringen

Version bump to 0.19.0, refs #2743

Revision 74d60ede - 10/02/2018 07:45 PM - J. Moringen

Version bump to 0.19.0, refs #2743

Revision 5a78d71d - 10/02/2018 07:45 PM - J. Moringen

Version bump to 0.19.0, refs #2743

Revision edb3056c - 10/02/2018 07:45 PM - J. Moringen
Version bump to 0.19.0, refs #2743

Revision b2c845c8 - 10/02/2018 07:45 PM - J. Moringen

Version bump to 0.19.0, refs #2743

Revision 452e1617 - 10/02/2018 07:45 PM - J. Moringen

Version bump to 0.19.0, refs #2743

Revision fc98561d - 10/02/2018 07:45 PM - J. Moringen

Version bump to 0.19.0, refs #2743

Revision ec538ee9 - 10/02/2018 07:45 PM - J. Moringen

Version bump to 0.19.0, refs #2743

Revision dae172c2 - 10/02/2018 07:45 PM - J. Moringen

Version bump to 0.19.0, refs #2743

Revision 6c6fd2f8 - 10/02/2018 07:51 PM - J. Moringen

Post-release adaptations in *.rst

refs #2743

    -  index.rst: adapted link to released version
    -  install-binary.rst: adapted links to downloadable artifacts and

  versions
    -  news.rst (RSB 0.19): new section; for 0.19 version

  (RSB 0.18): added information regarding downloadable artifacts and
  issue tracking URL
  (RSB 0.16): removed list of downloadable artifacts and issue tracking
  URL

Revision e39df82f - 10/02/2018 07:55 PM - J. Moringen

Post-release adaptations in *.rst

refs #2743

    -  index.rst: adapted link to released version
    -  install-binary.rst: adapted links to downloadable artifacts and

  versions
    -  news.rst (RSB 0.18): added information regarding downloadable
  artifacts and issue tracking URL
  (RSB 0.16): removed list of downloadable artifacts and issue tracking
  URL

Revision eb330223 - 10/05/2018 09:52 AM - J. Moringen

Version bump to 0.19.0, refs #2743

Revision 7f0744dc - 10/05/2018 09:52 AM - J. Moringen

Version bump to 0.19.0, refs #2743

Revision 834e6ca8 - 10/05/2018 09:52 AM - J. Moringen

Version bump to 0.19.0, refs #2743

Revision b0d16356 - 10/05/2018 09:52 AM - J. Moringen

Version bump to 0.19.0, refs #2743

Revision 789a9b57 - 10/05/2018 09:56 AM - J. Moringen

Post-release adaptations in *.rst

refs #2743

    -  index.rst: adapted link to released version
    -  news.rst (RSBag 0.19): new section; for 0.19 version

  (RSBag 0.18): added list of downloadable artifacts and issue tracking
  URL
  (RSBag 0.16): removed list of downloadable artifacts and issue
  tracking URL

Revision 5a3d729c - 10/05/2018 10:36 AM - J. Moringen

Adaptations for release version in *.rst

refs #2743

    -  index.rst: removed note about using stable version instead of master
    -  preparation.rst (Binary Downloads): adapted download links and

  versions
    -  news.rst (RSBag 0.18): added list of downloadable artifacts and issue

  tracking URL
  (RSBag 0.16): removed list of downloadable artifacts and issue tracking
  URL
Revision 21ffb2b8 - 10/09/2018 04:38 PM - J. Moringen

Version bump to 0.19.0, refs #2743

Revision dfc5a70d - 10/09/2018 04:38 PM - J. Moringen

Version bump to 0.19.0, refs #2743

Revision 00b98324 - 10/09/2018 04:38 PM - J. Moringen

Version bump to 0.19.0, refs #2743

Revision 61807a5a - 10/09/2018 04:38 PM - J. Moringen

Version bump to 0.19.0, refs #2743

Revision 4206530f - 10/09/2018 04:38 PM - J. Moringen

Version bump to 0.19.0, refs #2743

Revision 279cd71d - 10/09/2018 04:39 PM - J. Moringen

Post-release adjustments in pom.xml

refs #2743

    -  pom.xml: adjusted versions in RSB and RST dependencies

History
#1 - 10/16/2017 12:22 PM - J. Moringen
- Copied from Tasks #2719: Release version 0.17 added

#2 - 10/02/2018 07:21 PM - J. Moringen
- Description updated
- Status changed from New to In Progress
- Assignee set to J. Moringen

#3 - 10/02/2018 07:44 PM - J. Moringen
- Description updated

#4 - 10/02/2018 07:57 PM - J. Moringen
- Description updated
- % Done changed from 0 to 40

#5 - 10/02/2018 08:07 PM - J. Moringen
- Description updated
#6 - 10/05/2018 10:41 AM - J. Moringen
- Description updated
- % Done changed from 40 to 70

#7 - 10/05/2018 02:21 PM - J. Moringen
- Description updated

#8 - 10/09/2018 04:41 PM - J. Moringen
- Description updated

#9 - 10/09/2018 06:30 PM - J. Moringen
- Description updated

#10 - 10/26/2018 02:35 PM - J. Wienke
- Description updated

#11 - 11/05/2018 04:22 PM - J. Moringen
- Description updated

#12 - 01/24/2019 01:38 PM - J. Moringen
- Description updated
- % Done changed from 70 to 80

#13 - 02/07/2019 11:50 AM - J. Moringen
- Description updated

#14 - 02/07/2019 11:54 AM - J. Moringen
- Description updated
- % Done changed from 80 to 90
